package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.DepBean;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface UserRegisterThreeContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> register(Map<String,Object> param);

        Observable<BaseBean> depList();
    }

    interface View extends IBaseView {
        void registerSuccess(String msg);

        void depSuccess(List<DepBean> depList);
    }

    interface Presenter extends IBasePresenter<View> {
        void register(Map<String,Object> param);

        void depList();

    }
}
